View Issue Details

Category
SSPBT:本体(SSP)
SeverityminorReproducibilityalways 
Status closed 
Fixed in Version2.5 (リリース) 
Summary0000165: When surfaces with dressups are called in an animation, sometimes the dressup is misaligned
Description

I haven't been able to pin down the cause. My images are exactly the same size, and the dressup item works as intended when calling the surface directly. However, if calling the surface as a part of an animation, the dressup will be shifted to the right by a few pixels.
I have also tried cutting down the size of the dressup part and positioning it with the correct X and Y coordinates, and it still ends up shifted to the right when called in an animation.

Activities

ponapalt

2021-05-25 11:03

administrator   ~0000361

Please provide erroneous shell package.
I can't predict cause of bug from your message.

guest

2021-05-26 08:18

reporter   ~0000365

I stripped everything unnecessary out of my shell, and discovered that the bug is even weirder than I thought. It seems that the cause is actually a different animation in a different surface, and the only connection between them is that it's the same dressup item and has the same interval number. I left some comments in surfaces.txt about it.
I think I know enough to work around this bug now, but it's still very strange behavior.

ExampleShell.nar (67,644 bytes)

ponapalt

2021-06-06 14:02

administrator   ~0000371

2.5.03 FIXED

Issue History

Date Modified Username Field Change
2021-05-24 15:37 guest New Issue
2021-05-25 11:03 ponapalt Note Added: 0000361
2021-05-26 08:18 guest Note Added: 0000365
2021-05-26 08:18 guest File Added: ExampleShell.nar
2021-06-06 14:02 ponapalt Assigned To => ponapalt
2021-06-06 14:02 ponapalt Status new => closed
2021-06-06 14:02 ponapalt Resolution open => fixed
2021-06-06 14:02 ponapalt Fixed in Version => 2.5 (リリース)
2021-06-06 14:02 ponapalt Note Added: 0000371